@font-face {
  font-family: "iA Writer Quattro";
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url("fonts/ia-writer-quattro/latin-400-normal.woff2") format("woff2");
}

@font-face {
  font-family: "iA Writer Quattro";
  font-style: normal;
  font-display: swap;
  font-weight: 700;
  src: url("fonts/ia-writer-quattro/latin-700-normal.woff2") format("woff2");
}

@font-face {
  font-family: "iA Writer Quattro";
  font-style: italic;
  font-display: swap;
  font-weight: 400;
  src: url("fonts/ia-writer-quattro/latin-400-italic.woff2") format("woff2");
}

@font-face {
  font-family: "Sono";
  font-style: normal;
  font-display: swap;
  font-weight: 200 800;
  src: url("fonts/sono/sono-latin-wght-normal.woff2") format("woff2-variations");
}

:root {
  --header-bg-border-fg: #f0f0f0;
  --kv-k-color: #aaa;
}

@media (prefers-color-scheme: dark) {
  html {
    filter: hue-rotate(180deg) invert(1);
  }

  html img,
  html [style*="background-image:"] {
    filter: invert(1) hue-rotate(180deg);
  }
}

body {
  background-color: white;
  color: #333;
  font-family: "iA Writer Quattro", sans-serif;
  font-size: 14px;
  line-height: 1.5;
}

h1,
h2,
h3,
h4,
h5,
h6,
header {
  font-family: "iA Writer Quattro", sans-serif;
}

code,
kbd,
pre,
samp {
  font-family: "Sono", monospace;
}

a {
  color: #058ff3;
  text-decoration: none;
  border-bottom: 1px solid #cfebff;
}

body>header {
  background-color: var(--header-bg-border-fg);
  text-align: center;
  position: sticky;
  top: 0;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
  padding: 10px 10px;
  margin-bottom: 3em;
}

body>header>* {
  margin: 0 10px;
}

@media print {
  body>header {
    display: none;
  }

  /* section, */
  /* article, */
  footer,
  .print-no-break-inside {
    page-break-inside: avoid;
  }

  details {
    display: none;
  }

  footer {
    margin-top: 30px;
  }

  a {
    color: #3b77a3;
    text-decoration: none;
    border-bottom: 1px solid #cfebff;
  }
}

.kv {
  width: 100%;
  display: flex;
}

.kv>* {}

.kv>* {
  padding: 4px 10px;
}

.kv> :first-child {
  width: 100px;
  text-align: right;
  color: var(--kv-k-color);
  padding-right: 10px;
}

.kv> :last-child {
  flex: 1;
  padding-left: 10px;
}

#container {
  max-width: 100ex;
  padding: 0 20px;
  margin: 0 auto;
}

@media print {
  #container {
    max-width: none;
  }
}

#container>header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 0 3em 0;
}

#container>header>* {}

#container>header img.photo {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
}

@media print {
  #container>header img.photo {
    display: none;
  }
}

section {
  margin-bottom: 40px;
}

section>header {
  border-bottom: 1px solid var(--header-bg-border-fg);
  padding: 10px 10px;
  margin-bottom: 10px;
}

section>header>* {
  margin: 0;
}

section>article {
  margin: 1rem 0 1.5rem;
}

section .body {
  margin: 0 0.5rem;
}

section .body>h3 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid var(--header-bg-border-fg);
}

section .body>h3>.date {
  font-weight: normal;
  font-style: italic;
  font-size: 75%;
}

details {
  font-size: 0.8em;
}

details summary {
  font-size: 0.7em;
  color: var(--kv-k-color);
  margin-bottom: 1em;
  cursor: pointer;
}

.header-3el {
  display: flex;
  margin-bottom: 10px;
  font-size: 1.25em;
}

.header-3el>* {
  padding: 10px 20px;
  border: 1px solid var(--header-bg-border-fg);
  border-width: 1px 1px 1px 0px;
}

.header-3el> :first-child {
  background-color: var(--header-bg-border-fg);
  font-weight: bold;
  border-width: 1px;
  min-width: 100px;
}

.header-3el> :nth-child(2) {
  font-weight: bold;
  flex: 1;
}

.header-3el> :last-child {
  font-style: italic;
}

.personal-information article {
  columns: 2;
}

.tech .table-headers {
  display: flex;
  justify-content: space-evenly;
}

.tech .table {
  font-size: 0.8em;
}

.tech .table h4 {
  background-color: var(--header-bg-border-fg);
  margin: 1em 0 0.3em;
  padding: 0.3em;
}

.tech .table-headers>div {
  width: calc(100% / 6);
  text-align: center;
}

.tech .table-headers>div>* {
  display: block;
}

.tech .table-headers>div>span:first-child {}

.tech .table-headers>div>span:last-child {
  font-size: 0.5em;
}

.tech .tech-row {
  display: flex;
}

.tech .tech-row .name {
  width: calc(100% / 6);
  padding: 0.1em 0.5em;
}

.tech .tech-row .level {
  width: calc(100% * 5 / 6);
  display: flex;
  align-items: center;
}

.tech .tech-row .level-line {
  --0-width: 8px;
  margin-left: calc(100% / 5 / 2 - var(--0-width) / 2);
  width: calc(100% / 5 * (var(--level) - 1) + var(--0-width));
  height: 4px;
  background: var(--header-bg-border-fg) linear-gradient(90deg,
      hsl(calc(10 + var(--level) * 35), 50%, 96%),
      hsl(calc(10 + var(--level) * 35), 70%, 70%));
  border-radius: 2px;
}

.side-projects .header-3el .link a {
  text-decoration: none;
  font-style: normal;
  border: none;
}

footer {
  font-size: 0.8rem;
  padding: 10px 10%;
  background-color: var(--header-bg-border-fg);
}
